/**********************************************************************
 *
 * Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope it will be useful but, except 
 * as otherwise stated in writing, without any warranty; without even the 
 * implied warranty of merchantability or fitness for a particular purpose. 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 * 
 * The full GNU General Public License is included in this distribution in
 * the file called "COPYING".
 *
 * Contact Information:
 * Imagination Technologies Ltd. <gpl-support@imgtec.com>
 * Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
 *
 ******************************************************************************/

#if !defined(__SOCCONFIG_H__)
#define __SOCCONFIG_H__

#include "syscommon.h"

#define VS_PRODUCT_NAME	"OMAP4"
#define SGX_CLK_CORE_DIV5 1

#if defined(SGX_CLK_PER_192)
	#define SYS_SGX_CLOCK_SPEED 192000000
#else
 #if defined(SGX_CLK_CORE_DIV8)
	#if (SGX_CORE_REV == 120)
		#define SYS_SGX_CLOCK_SPEED 200000000
	#else
		#define SYS_SGX_CLOCK_SPEED 190464000
	#endif
 #else
  #if defined(SGX_CLK_CORE_DIV5)
	#if (SGX_CORE_REV == 120)
		#define SYS_SGX_CLOCK_SPEED 320000000
	#else
		#define SYS_SGX_CLOCK_SPEED 304742400
	#endif
  #endif
 #endif
#endif

#define SYS_SGX_HWRECOVERY_TIMEOUT_FREQ		(100)	
#define SYS_SGX_PDS_TIMER_FREQ				(1000)	

#if !defined(SYS_SGX_ACTIVE_POWER_LATENCY_MS)
#define SYS_SGX_ACTIVE_POWER_LATENCY_MS		(1)
#endif


#if defined(PLATFORM_BST2BRD)
#define SYS_OMAP4430_SGX_REGS_SYS_PHYS_BASE  BST_GPU_BASE
#else
#define SYS_OMAP4430_SGX_REGS_SYS_PHYS_BASE  0x56000000
#endif

#define SYS_OMAP4430_SGX_REGS_SIZE           0xFFFF

//#define SYS_OMAP4430_SDRAM_SYS_PHYS_BASE0     0x80000000
//#define SYS_OMAP4430_SDRAM_SYS_PHYS_BASE1     0xC0000000

//#define SYS_OMAP4430_SDRAM_SYS_PHYS_SIZE1     0x00000000

#if defined(PLATFORM_BST2BRD)
#define SYS_OMAP4430_SGX_IRQ				 INT_GPU 
#else
#define SYS_OMAP4430_SGX_IRQ				 53 
#endif

#define SYS_OMAP4430_GP11TIMER_ENABLE_SYS_PHYS_BASE  0x48088038
#define SYS_OMAP4430_GP11TIMER_REGS_SYS_PHYS_BASE	 0x4808803C
#define SYS_OMAP4430_GP11TIMER_TSICR_SYS_PHYS_BASE	 0x48088054

 
#endif	
